AIGateway
Update permissions for a endpoint by name
Update permissions for a endpoint by name (add or remove user IDs, or change isEveryoneAllowed)
PATCH
/
api
/
aigateway
/
v1
/
endpoints
/
{endpointName}
/
permissions
Update permissions for a endpoint by name
curl --request PATCH \
--url https://mycluster.domino.tech/api/aigateway/v1/endpoints/{endpointName}/permissions \
--header 'Content-Type: application/json' \
--header 'X-Domino-Api-Key: <api-key>' \
--data '
{
"isEveryoneAllowed": true,
"userIds": [
"<string>"
]
}
'import requests
url = "https://mycluster.domino.tech/api/aigateway/v1/endpoints/{endpointName}/permissions"
payload = {
"isEveryoneAllowed": True,
"userIds": ["<string>"]
}
headers = {
"X-Domino-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Domino-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({isEveryoneAllowed: true, userIds: ['<string>']})
};
fetch('https://mycluster.domino.tech/api/aigateway/v1/endpoints/{endpointName}/permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isEveryoneAllowed": true,
"userIds": [
"<string>"
]
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
nucleus_DominoApiKeynucleus_BearerAuthentication
Path Parameters
Name of the endpoint to update permissions for
Body
application/json
Updated endpoint permissions
Last modified on August 18, 2026
Related topics
Update a endpoint by nameGet permissions for a endpoint by nameUpdate Data Source with specified IDUpdate the drift default settings.Was this page helpful?
⌘I
Update permissions for a endpoint by name
